# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-09-22 15:59
from __future__ import unicode_literals

import django.contrib.gis.db.models.fields
import django.contrib.postgres.fields.jsonb
import django.contrib.postgres.fields.ranges
from django.db import migrations, models
import django.db.models.deletion
import django_fsm


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DataSetInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(help_text='The name of the data set')),
                ('table', models.TextField(help_text='The table of the data set')),
                ('fields', django.contrib.postgres.fields.jsonb.JSONField(default=None, help_text='A list of fields to include', null=True)),
                ('timerange', django.contrib.postgres.fields.ranges.DateTimeRangeField(default=None, help_text='The time range to limit exported rows', null=True)),
                ('bbox', django.contrib.gis.db.models.fields.PolygonField(default=None, help_text='The bounding box to limit exported rows', null=True, srid=4326)),
            ],
        ),
        migrations.CreateModel(
            name='ExportJob',
            fields=[
                ('id', models.UUIDField(blank=True, editable=False, help_text='The job identifier', primary_key=True, serialize=False)),
                ('requestor', models.EmailField(help_text='The email address of the requestor', max_length=254)),
                ('state', django_fsm.FSMField(default='new', help_text='The job state', max_length=50, protected=True)),
                ('error_dump', models.TextField(default=None, help_text='Processing error trace', null=True)),
                ('date_started', models.DateTimeField(blank=True, default=None, editable=False, help_text='The date time the job started', null=True)),
                ('date_completed', models.DateTimeField(blank=True, default=None, editable=False, help_text='The date time the job completed', null=True)),
                ('bucket', models.URLField(blank=True, default=None, editable=False, help_text='The URL to the S3 bucket with the exported file', null=True)),
                ('date_expires', models.DateTimeField(blank=True, default=None, editable=False, help_text='The expiration date of the exported file (TTL)', null=True)),
            ],
            bases=(django_fsm.ConcurrentTransitionMixin, models.Model),
        ),
        migrations.AddField(
            model_name='datasetinfo',
            name='job',
            field=models.ForeignKey(help_text='The job this data set info is related to', on_delete=django.db.models.deletion.CASCADE, related_name='data_sets', to='plenario_exporter_s3.ExportJob'),
        ),
    ]
